module.exports.PensiveENC = {
  LOW: 128,
  MEDIUM: 256,
  HIGH: 512,
  EXTREME: 1024,
};

module.exports.pensiveCipher = (str, num) => {
  num = num % 26;

  var lowerCaseStr = str.toLowerCase();
  var alphabet = "abcdefghijklmnopqrstuvwxyz".split("");
  var newStr = "";

  for (var i = 0; i < lowerCaseStr.length; i++) {
    var currentLetter = lowerCaseStr[i];

    if (currentLetter === " ") {
      newStr += currentLetter;
      continue;
    }

    var currentIndex = alphabet.indexOf(currentLetter);
    var newIndex = currentIndex + num;

    if (newIndex > 25) newIndex = newIndex - 26;
    if (newIndex < 0) newIndex = newIndex + 26;
    if (str[i] === str[i].toUpperCase()) {
      newStr += alphabet[newIndex].toUpperCase();
    }

    else newStr += alphabet[newIndex];
  }

  return newStr;
}

module.exports.pensiveDeCipher = (str, num) => {
  num = num % 26;
  
  var lowerCaseStr = str.toLowerCase();
  var alphabet = "abcdefghijklmnopqrstuvwxyz".split("");
  var newStr = "";

  for (var i = 0; i < lowerCaseStr.length; i++) {
    var currentLetter = lowerCaseStr[i];

    if (currentLetter === " ") {
      newStr += currentLetter;
      continue;
    }

    var currentIndex = alphabet.indexOf(currentLetter);
    var newIndex = currentIndex - num;

    if (newIndex > 25) newIndex = newIndex - 26;
    if (newIndex < 0) newIndex = newIndex + 26;
    if (str[i] === str[i].toUpperCase()) {
      newStr += alphabet[newIndex].toUpperCase();
    }

    else newStr += alphabet[newIndex];
  }

  return newStr;
}